Upgrade from 6.27 to 7

Hi Iam new to erpnext and I am evaluating erpnext to do some implementation with my clients.

I have the virtual device running ubuntu and v 6.27, I want to upgrade to v7, I can’t find any instructions on how to do that.

Is there any advantage on running v7 over 6.27? why is it that in your presentation of v7 (youtube) the forms look different?

You are doing a great job and i hope i can become an erpnext next partner

Cheers

ERPNext 7 is a major upgrade from ERPNext 6! You can checkout all the new features in short here : https://github.com/frappe/erpnext/wiki/Version-7-Release-Notes

You can upgrade your v6 by running bench update --ugprade from the frappe-bench folder just make sure to backup.
OR
You can just download the VM from https://erpnext.com/download again, it’s updated to v7 now.

Hi, thanks for the update, I did download and install the new VM. After configuration (As Service domain) not all icons show, not even in setup for application list.

I’m running the v6.27.22 version on a VM right now.
While using the “bench update --upgrade” command, I get an error:
Attribute Error: ‘NoneType’ object has no attribute ‘group’
Any ideas on how to get around this?

Hm, go into .bench or bench-repo folder inside the home folder and then do a git pull in ther, and then try updating again.

Thanks, @vjFaLk . That solves that particular issue.
Now when I finally upgrade, I get an error similar to the one in this post:

Except in my case, it’s:

File “/home/dev/frappe-bench/apps/frappe/frappe/modules/utils.py”, line 173, in load_doctype_module
raise ImportError, ‘Module import failed for {0} ({1})’.format(doctype, module_name)
ImportError: Module import failed for Payment Tool (erpnext.accounts.doctype.payment_tool.payment_tool)

Also, this might be because while using bench --upgrade, I’m going directly from my existing version (6.27.21) to the latest version (8.0.3).

Thoughts on how to get around this?